Herald
OpenapiUser

List_user_wallets

GET
/api/user/wallets

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Query Parameters

status?string|null
bucketId?string|null
page?|
Formatint64
Range0 <= value
pageSize?|
Formatint64
Range0 <= value

Response Body

application/json

application/json

curl -X GET "https://example.com/api/user/wallets"
{  "crossBucketTotal": 0,  "items": [    {      "balancesByType": {        "freePeriodic": 0,        "granted": 0,        "registration": 0,        "subscription": 0,        "topup": 0      },      "bucketId": "1980377d-7926-47e0-9e64-a9d0c746404d",      "bucketTotal": 0,      "enabled": true,      "name": "string",      "quotaWindows": [        {          "exhausted": true,          "isTightest": true,          "key": "string",          "limit": 0,          "remaining": 0,          "resetsAt": "2019-08-24T14:15:22Z",          "used": 0,          "windowSeconds": 0        }      ],      "spendableFromPool": 0,      "spendableFromQuota": 0,      "userId": "2c4a230c-5085-4924-a3e1-25fb4fc5965b"    }  ]}
{  "code": "string",  "details": null,  "message": "string",  "requestId": "string",  "status": 0}